/*
	**
	** util.h
	**
	** Miscellaneous utility routines
	**
	** Copyright 1998 Damien Miller <dmiller@ilogic.com.au>
	**
	** This software is licensed under the terms of the GNU General 
	** Public License (GPL). Please see the file COPYING for details.
	** 
	** $Id: util.h,v 1.2 1998/11/29 08:53:38 dmiller Exp $
	**
 */

#ifndef _UTIL_H
#define _UTIL_H

#include <stdlib.h>

/* Allocates s bytes, checking for allocation errors */
void *util_malloc(size_t s);

/* Allocates s zero-filled bytes, checking for allocation errors */
void *util_zmalloc(size_t s);

/* Duplicates string s, checking for allocation errors */
void *util_strdup(const char *s);

/* Resizes allocation m to s bytes, checking for allocation errors */
void *util_realloc(void *m, size_t s);

/* Returns RCS version */
const char *util_version(void);

#endif /* _UTIL_H */
